apiVersion: v1
kind: Service
metadata:
  name: gclb-test # {"$kpt-set":"name"}
  namespace: default # {"$kpt-set":"kcc-ns"}
  annotations:
    # cloud.google.com/neg: '{"ingress": true}' # Creates a NEG after an Ingress is created
    cloud.google.com/neg: '{"exposed_ports": {"80":{"name": "app-neg"}}}'
spec: # Service's specification
  type: ClusterIP
  selector:
    run: gclb-test # {"$kpt-set":"name"}
  ports:
  - port: 80 # Service's port
    protocol: TCP
    targetPort: 9376
